Page MenuHomePhabricator

Set $wgMFEditorOptions['anonymousEditing'] = true for kowiki
Closed, ResolvedPublic

Description

Eventually, we'll need to restore normal permissions on the Korean Wikipedia, temporarily changed in T94388 following a local discussion which feared catastrophes. Catastrophes didn't happen anywhere, hence there is currently no rationale for the unconforming configuration.

Positive effect on other wikis

We should probably gather some data from a wiki which Korean users may feel as similar enough to their case and then present the data locally: perhaps Chinese Wikipedia? https://stats.wikimedia.org/EN/EditsRevertsZH.htm shows a slight increase in unregistered editing and a stable revert ratio. Norwegian Wikipedia shows a different revert culture. Vietnamese even has reverts going down proportionally, but the editing patterns are different. https://stats.wikimedia.org/EN/EditsRevertsVI.htm

Korean Wikipedia's unregistered users

We have https://stats.wikimedia.org/EN/EditsRevertsKO.htm

The "Distribution of reverts" table shows us the workload: reverted edits (minus self-reverts) are produced in similar amounts by unregistered and registered users: 34 % vs. 42 % of the total respectively. As for who does the (likely) cleanup: unregistered users take care of half of the reverts of other unregistered users and 1/3 of the reverts of registered users' edits. So, in total, unregistered users seem to contribute to patrolling almost as much as they contribute to bad edits.

In total, 2015 and 2016 show a continued increase of the amount of edits by unregistered users, while edits by registered users are stable. It seems therefore that development and growth of the Korean Wikipedia depends more and more on unregistered users. Notably, the amount of edits increased while not affecting the ratio of bad edits: the ratio of reverted edits is still very low compared to Wikimedia averages, around 8 % (on many wikis this figure is near 20 %), while for registered users it's around 3 %. In other words, restricting ourselves to registered editors only gives us a potential marginal gain of 5 percentage points of "good" edits.

All this tells us that letting unregistered editors edit on Mobile is very likely to produce a net positive on the Korean Wikipedia, even more than other languages.


Event Timeline

Nemo_bis created this task.Nov 29 2015, 9:26 AM
Nemo_bis raised the priority of this task from to Medium.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added subscribers: Matanya, tarlocesilion, Krenair and 12 others.
Liuxinyu970226 added a subscriber: Liuxinyu970226.
Dereckson lowered the priority of this task from Medium to Low.Jan 25 2016, 10:15 PM
Dereckson added a subscriber: Dereckson.

@Nemo_bis Any idea to contact someone of kowiki to suggest to launch a discussion?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 25 2016, 10:15 PM
Nemo_bis added a subscriber: tomasz.Feb 3 2016, 3:45 PM

@Nemo_bis Any idea to contact someone of kowiki to suggest to launch a discussion?

It would be useful to first have some ideas on relevant data/considerations to include. I think @tomasz had some ideas on the matter.

tomasz edited subscribers, added: Tfinc; removed: tomasz.Feb 3 2016, 6:48 PM
tomasz added a subscriber: tomasz.

I think it was the other Tomasz.

tomasz removed a subscriber: tomasz.Feb 3 2016, 6:48 PM

Certainly not me :)

I really meant Odder, but I guess I was wrong. :)

Actually, we have a Korean user interested by more technical aspects, the Josa extension author.

tomasz added a subscriber: tomasz.Feb 21 2016, 1:47 PM
Nemo_bis updated the task description. (Show Details)Feb 21 2016, 2:20 PM
Nemo_bis updated the task description. (Show Details)
revi added a comment.Feb 21 2016, 2:28 PM
at the description

Eventually, we'll need to restore normal permissions on the Korean Wikipedia, temporarily changed in T94388 following a local discussion which feared catastrophes.

Just a note, local community considered this to be permanent stuff, not to be reverted after ~~~ days or such.

I'm hardly to say support or oppose for this task, although the past consensus on kowiki looks violated the Founding principles global policy, I should say even if Sony Official Website was hacked from Korean, we should probably make sure anti virus software on our server are working well.

revi added a comment.EditedFeb 21 2016, 2:38 PM

What's the point? What's the relations with Sony blah blah and the restriction on kowiki for unreg IPs editing?

tomasz removed a subscriber: tomasz.Mar 18 2016, 5:31 PM
revi claimed this task.Dec 28 2016, 11:10 AM

Per Local consensus, I am going to submit a patch to revert this.

Restricted Application added a subscriber: Cosine02. · View Herald TranscriptDec 28 2016, 11:10 AM

Change 329446 had a related patch set uploaded (by Revi):
Revert $wgMFEEditorOptions['anonymousEditing'] = true for kowiki

https://gerrit.wikimedia.org/r/329446

Change 329446 merged by jenkins-bot:
Revert '$wgMFEEditorOptions['anonymousEditing'] = false for kowiki'

https://gerrit.wikimedia.org/r/329446

Mentioned in SAL (#wikimedia-operations) [2017-01-04T14:20:44Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:329446|Revert $wgMFEEditorOptions[anonymousEditing] = false for kowiki (T119823)]] (duration: 00m 41s)

revi closed this task as Resolved.Jan 4 2017, 2:24 PM
revi removed a project: Patch-For-Review.

Commit merged and deployed. Works fine.

[PS. before the SWAT, I was able to save the page in IP mode, which might mean this config was not useful..]